[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomListBox.AssignItemDataToCache

Copies selected state for an item to the cache.

## Declaration

Source position: stdctrls.pp line 580

`protected procedure TCustomListBox.AssignItemDataToCache(`
`const AIndex: Integer;`
`const AData: Pointer`
`); virtual;`

## Arguments

`AIndex` |  | Ordinal position in Items for the entry updated in the cache.
`AData` |  | Pointer to the data stored in the cache for the specified item.